Bug 61833 - Apps requiring root privelidges do not ask for root password
Summary: Apps requiring root privelidges do not ask for root password
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kdeadmin (Show other bugs)
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
: 61963 62294 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-25 01:04 UTC by Alex Boag-Munroe
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 13:14:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alex Boag-Munroe 2002-03-25 01:04:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/2.99 (3.0 rc3); Linux)

Description of problem:
When trying to run any app that requires root access rights from within KDE, the app does not run and the root password prompt does not appear.  Instead, if I switch back to tty1 (I login from text mode) a password prompt continuously scrolls up the screen.  If I login in graphical mode, I have noticed an error about an unrecognised password in the messages log.  If I run the apps as root from a konsole, it works fine.  Looks like kdesu is broken.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run any program that requires root, ie, neat.
2. Password prompt should appear, it does not.
3. App does not run, or if it does, it does not work due to incorrect privelidges.
 

Actual Results:  No root password prompt.

Expected Results:  A prompt for the root password should appear.

Additional info:

Comment 1 Bernhard Rosenkraenzer 2002-03-25 13:14:45 UTC
This is because they use consolehelper, which in turn needs its gui. 
The fix is to install usermode-gtk (or better yet, consolehelper-qt from 
ftp://ftp.bero.org/pub/consolehelper/). 
 
Assigning to timp so the comps file can be adapted.

Comment 2 Tim Powers 2002-03-25 13:57:15 UTC
This will be fixed in the next release. I'm resolving this as RAWHIDE.

Tim

Comment 3 Tim Powers 2002-03-26 17:31:57 UTC
*** Bug 61963 has been marked as a duplicate of this bug. ***

Comment 4 Tim Powers 2002-03-29 12:04:15 UTC
*** Bug 62294 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.